Last Comment Bug 794212 - Debug build: Assertion failure and crash when starting drag and drop in calendar view
: Debug build: Assertion failure and crash when starting drag and drop in calen...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: Trunk
: All All
: -- minor (vote)
: 1.9
Assigned To: Stefan Sitter
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 13:02 PDT by Stefan Sitter
Modified: 2012-10-11 13:53 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix assertion failure and crash (4.11 KB, patch)
2012-09-25 13:09 PDT, Stefan Sitter
philipp: review+
philipp: approval‑calendar‑beta+
Details | Diff | Splinter Review

Description Stefan Sitter 2012-09-25 13:02:17 PDT
Starting an event drag and drop operation in calendar view of a Debug build asserts and the application crashes.

> Assertion failure: mInitialized, at .../src/mozilla/widget/xpwidgets/nsTransferable.cpp:447

Reason is that init() of the nsITransferable object has not be called.
Comment 1 Stefan Sitter 2012-09-25 13:09:30 PDT
Created attachment 664628 [details] [diff] [review]
fix assertion failure and crash

Add missing calls to init(). I'd say we don't care about Private Browsing mode and therefore we can just pass null to init() according to description in http://mxr.mozilla.org/comm-central/source/mozilla/widget/nsITransferable.idl#90
Comment 2 Stefan Sitter 2012-09-26 09:54:12 PDT
Pushed to https://hg.mozilla.org/comm-central/rev/6482051d15a7
Comment 3 Stefan Sitter 2012-10-11 12:50:55 PDT
Comment on attachment 664628 [details] [diff] [review]
fix assertion failure and crash

When trying to verify another bug in debug build I ran into this crash very often when using drag and drop or copying an event to clipboard. The patch and its risk for regressions are very small therefore I'd like to port this back to 1.9 beta.
Comment 4 Stefan Sitter 2012-10-11 13:53:26 PDT
Ported back to https://hg.mozilla.org/releases/comm-beta/rev/2fe681068001

Note You need to log in before you can comment on or make changes to this bug.